Look up UPCs and ISRCs (batch)
Same as GET, with a JSON body.
POST
/
ingestion
/
lookup
Look up UPCs and ISRCs (batch)
curl --request POST \
--url https://api.ammdistro.com/api/v2/external/ingestion/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"upc": "036000291452",
"isrcs": [
"USRC12600001",
"USRC12600002"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({upc: '036000291452', isrcs: ['USRC12600001', 'USRC12600002']})
};
fetch('https://api.ammdistro.com/api/v2/external/ingestion/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ammdistro.com/api/v2/external/ingestion/lookup"
payload = {
"upc": "036000291452",
"isrcs": ["USRC12600001", "USRC12600002"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"upcs": [
{
"input": "<string>",
"upc": "<string>",
"found": true,
"matches": [
{
"matchedOn": "release_upc",
"release": {
"id": "<string>",
"title": "<string>",
"artists": [
"<string>"
],
"releaseType": "<string>",
"upc": "<string>",
"status": "draft",
"ingested": true,
"releaseDate": "2023-12-25",
"createdAt": "2023-11-07T05:31:56Z",
"submittedAt": "<string>",
"reviewedAt": "<string>",
"deliveryQueuedAt": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
]
}
],
"isrcs": [
{
"input": "<string>",
"isrc": "<string>",
"found": true,
"matches": [
{
"matchedOn": "isrc",
"track": {
"id": "<string>",
"title": "<string>",
"artists": [
"<string>"
],
"isrc": "<string>",
"discNumber": 123,
"trackNumber": 123
},
"release": {
"id": "<string>",
"title": "<string>",
"artists": [
"<string>"
],
"releaseType": "<string>",
"upc": "<string>",
"status": "draft",
"ingested": true,
"releaseDate": "2023-12-25",
"createdAt": "2023-11-07T05:31:56Z",
"submittedAt": "<string>",
"reviewedAt": "<string>",
"deliveryQueuedAt": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
]
}
],
"summary": {
"requested": 123,
"found": 123,
"notFound": 123
},
"checkedAt": "2023-11-07T05:31:56Z"
}Authorizations
An API key from Settings → API in AMM Distro.
⌘I
Look up UPCs and ISRCs (batch)
curl --request POST \
--url https://api.ammdistro.com/api/v2/external/ingestion/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"upc": "036000291452",
"isrcs": [
"USRC12600001",
"USRC12600002"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({upc: '036000291452', isrcs: ['USRC12600001', 'USRC12600002']})
};
fetch('https://api.ammdistro.com/api/v2/external/ingestion/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ammdistro.com/api/v2/external/ingestion/lookup"
payload = {
"upc": "036000291452",
"isrcs": ["USRC12600001", "USRC12600002"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"upcs": [
{
"input": "<string>",
"upc": "<string>",
"found": true,
"matches": [
{
"matchedOn": "release_upc",
"release": {
"id": "<string>",
"title": "<string>",
"artists": [
"<string>"
],
"releaseType": "<string>",
"upc": "<string>",
"status": "draft",
"ingested": true,
"releaseDate": "2023-12-25",
"createdAt": "2023-11-07T05:31:56Z",
"submittedAt": "<string>",
"reviewedAt": "<string>",
"deliveryQueuedAt": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
]
}
],
"isrcs": [
{
"input": "<string>",
"isrc": "<string>",
"found": true,
"matches": [
{
"matchedOn": "isrc",
"track": {
"id": "<string>",
"title": "<string>",
"artists": [
"<string>"
],
"isrc": "<string>",
"discNumber": 123,
"trackNumber": 123
},
"release": {
"id": "<string>",
"title": "<string>",
"artists": [
"<string>"
],
"releaseType": "<string>",
"upc": "<string>",
"status": "draft",
"ingested": true,
"releaseDate": "2023-12-25",
"createdAt": "2023-11-07T05:31:56Z",
"submittedAt": "<string>",
"reviewedAt": "<string>",
"deliveryQueuedAt": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
]
}
],
"summary": {
"requested": 123,
"found": 123,
"notFound": 123
},
"checkedAt": "2023-11-07T05:31:56Z"
}